Share via


triggered Analytics Rule Run - Get

Gets the triggered analytics rule run.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/providers/Microsoft.SecurityInsights/triggeredAnalyticsRuleRuns/{ruleRunId}?api-version=2025-07-01-preview

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

ruleRunId
path True

string

the triggered rule id

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$

The name of the workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

TriggeredAnalyticsRuleRun

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

triggeredAnalyticsRuleRun_Get

Sample request

GET https://management.azure.com/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/triggeredAnalyticsRuleRuns/65360bb0-8986-4ade-a89d-af3cf44d28aa?api-version=2025-07-01-preview

Sample response

{
  "name": "65360bb0-8986-4ade-a89d-af3cf44d28aa",
  "type": "Microsoft.SecurityInsights/TriggeredAnalyticsRuleRuns",
  "id": "/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalIinsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/triggeredAnalyticsRuleRuns/65360bb0-8986-4ade-a89d-af3cf44d28aa",
  "properties": {
    "executionTimeUtc": "2022-12-22T15:37:03.074Z",
    "provisioningState": "InProgress",
    "ruleId": "358e16da-ab76-4027-89e1-15937a6ed401",
    "ruleRunAdditionalData": {
      "auditCorrelationId": "b8540a76-cb05-4a9b-8d52-9959b509e4ad",
      "createdBy": "user@microsoft.com",
      "healthCorrelationId": "dadd8fdc-fc7a-4005-a289-4e164cb75093"
    },
    "triggeredAnalyticsRuleRunId": "65360bb0-8986-4ade-a89d-af3cf44d28aa"
  }
}

Definitions

Name Description
CloudError

Error response structure.

CloudErrorBody

Error details.

createdByType

The type of identity that created the resource.

ProvisioningState

The triggered analytics rule run provisioning state

systemData

Metadata pertaining to creation and last modification of the resource.

TriggeredAnalyticsRuleRun

The triggered analytics rule run

CloudError

Error response structure.

Name Type Description
error

CloudErrorBody

Error data

CloudErrorBody

Error details.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

message

string

A message describing the error, intended to be suitable for display in a user interface.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ProvisioningState

The triggered analytics rule run provisioning state

Value Description
Accepted

Accepted

InProgress

InProgress

Succeeded

Succeeded

Failed

Failed

Canceled

Canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TriggeredAnalyticsRuleRun

The triggered analytics rule run

Name Type Description
etag

string

Etag of the azure resource

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.executionTimeUtc

string (date-time)

properties.provisioningState

ProvisioningState

The triggered analytics rule run provisioning state

properties.ruleId

string

properties.ruleRunAdditionalData

Dictionary of <any>

properties.triggeredAnalyticsRuleRunId

string

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"